AbstractWireFeedHttpMessageConverter (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.http.converter.feed

## Class AbstractWireFeedHttpMessageConverter<T extends com.sun.syndication.feed.WireFeed>

- java.lang.Object
- - org.springframework.http.converter.AbstractHttpMessageConverter<T>
  - - org.springframework.http.converter.feed.AbstractWireFeedHttpMessageConverter<T>

- All Implemented Interfaces:
    HttpMessageConverter<T>
  Direct Known Subclasses:
    AtomFeedHttpMessageConverter, RssChannelHttpMessageConverter

      public abstract class AbstractWireFeedHttpMessageConverter<T extends com.sun.syndication.feed.WireFeed>
      extends AbstractHttpMessageConverter<T>

  Abstract base class for Atom and RSS Feed message converters, using the ROME tools project.
  Since:
    3.0.2
  Author:
    Arjen Poutsma
  See Also:
    `AtomFeedHttpMessageConverter`, `RssChannelHttpMessageConverter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Charset` | `DEFAULT_CHARSET`

    - ### Fields inherited from class org.springframework.http.converter.AbstractHttpMessageConverter

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractWireFeedHttpMessageConverter(MediaType supportedMediaType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected T` | `readInternal(Class<? extends T> clazz, HttpInputMessage inputMessage)` Abstract template method that reads the actual object.
    `protected void` | `writeInternal(T wireFeed, HttpOutputMessage outputMessage)` Abstract template method that writes the actual body.

    - ### Methods inherited from class org.springframework.http.converter.AbstractHttpMessageConverter

      `canRead, canRead, canWrite, canWrite, getContentLength, getDefaultContentType, getSupportedMediaTypes, read, setSupportedMediaTypes, supports, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_CHARSET

          public static final Charset DEFAULT_CHARSET

  - ### Constructor Detail

    - #### AbstractWireFeedHttpMessageConverter

          protected AbstractWireFeedHttpMessageConverter(MediaType supportedMediaType)

  - ### Method Detail

    - #### readInternal

          protected T readInternal(Class<? extends T> clazz,
                       HttpInputMessage inputMessage)
                                                                      throws IOException,
                                                                             HttpMessageNotReadableException

      Description copied from class: `AbstractHttpMessageConverter`
      Abstract template method that reads the actual object. Invoked from `AbstractHttpMessageConverter.read(java.lang.Class<? extends T>, org.springframework.http.HttpInputMessage)`.
      Specified by:
        `readInternal` in class `AbstractHttpMessageConverter<T extends com.sun.syndication.feed.WireFeed>`
      Parameters:
        `clazz` - the type of object to return
        `inputMessage` - the HTTP input message to read from
      Returns:
        the converted object
      Throws:
        `IOException` - in case of I/O errors
        `HttpMessageNotReadableException` - in case of conversion errors

    - #### writeInternal

          protected void writeInternal(T wireFeed,
                           HttpOutputMessage outputMessage)
                                throws IOException,
                                       HttpMessageNotWritableException

      Description copied from class: `AbstractHttpMessageConverter`
      Abstract template method that writes the actual body. Invoked from `AbstractHttpMessageConverter.write(T, org.springframework.http.MediaType, org.springframework.http.HttpOutputMessage)`.
      Specified by:
        `writeInternal` in class `AbstractHttpMessageConverter<T extends com.sun.syndication.feed.WireFeed>`
      Parameters:
        `wireFeed` - the object to write to the output message
        `outputMessage` - the message to write to
      Throws:
        `IOException` - in case of I/O errors
        `HttpMessageNotWritableException` - in case of conversion errors